PSTOPS(1)

NOM
pstops

SYNOPSIS
pstops [OPTION...] [INFILE [OUTFILE]]

DESCRIPTION
Réarrangement des pages d’un document PDF ou PostScript. Le fichier PostScript doit suivre les conventions de structuration de document d’Adobe (DSC – Document Structuring Conventions).

pstops permet de réaliser des réarrangements arbitraires de documents. Pour beaucoup de tâches, il est plus simple d’utiliser d’autres utilitaires de la suite PSUtils (consulter psutils(1)).

FICHIER_ENTRÉE
    « - » ou aucun argument FICHIER_ENTRÉE spécifié signifie entrée standard.

FICHIER_SORTIE
    « - » ou aucun argument FICHIER_SORTIE spécifié signifie sortie standard.

OPTIONS

-S SPÉCIFICATIONS, --specs SPÉCIFICATIONS
    Spécifications de page (voir ci-après).

-R INTERVALLE_PAGES, --pages INTERVALLE_PAGES
    Sélection des intervalles de pages indiqués.

-e, --even
    Sélection des pages paires pour la sortie.

-o, --odd
    Sélection des pages impaires pour la sortie.

-r, --reverse
    Inverser l’ordre des pages de sortie.

-p FORMAT, --paper FORMAT
    Nom du format de papier en sortie ou dimensions (LARGEURxHAUTEUR).

-P FORMAT_ENTRÉE, --inpaper FORMAT_ENTRÉE
    Nom du format de papier en entrée ou dimensions (LARGEURxHAUTEUR).

-d [DIMENSION], --draw [DIMENSION]
    Dessin d’une ligne de l’épaisseur indiquée autour de chaque page (épaisseur relative aux dimensions de la page d’entrée, par défaut 1 point et par défaut pas de ligne ; épaisseur fixe pour les PDF).

-v, --version
    Afficher la version du programme et terminer.

-q, --quiet
    Ne pas afficher la progression.

COMMENTAIRES
INTERVALLE_PAGES est une liste de pages et d’intervalles de pages séparés par des virgules.

SPÉCIFICATIONS est une liste de spécifications de page (par défaut « 0 » qui est la sélection des pages dans son ordre normal).

Les spécifications de page adoptent la syntaxe suivante :

    spécs_page
        = [modulo:]spécs

    spécs
        = spéc[+spécs|,spécs]

    spéc
        = [-]num_page[transformation...][@échelle][(décalage_x,décalage_y)]

    transformation
        = L|R|U|H|V

modulo est le nombre de pages dans chaque bloc. La valeur de modulo doit être supérieure à zéro (par défaut 1).

spécs sont les spécifications de page pour les pages de chaque bloc. La valeur de num_page dans chaque spéc doit être entre zéro (pour la première page du bloc) et modulo - 1 inclus (pour la dernière page de chaque bloc). S’il n’y a qu’une seule spécification de page, le num_page (0) peut être omis.

Les dimensions facultatives décalage_x et décalage_y déplacent la page selon les valeurs indiquées. décalage_x et décalage_y peuvent être indiquées sous forme de longueurs (consulter psutils(1)) ou suivies de w ou h pour indiquer un multiple des largeur et hauteur de page de sortie.

Les transformations facultatives L, R, U, H et V font respectivement pivoter la page à droite, à gauche, ou tête en bas autour du coin gauche bas, et retourner (miroir) la page horizontalement ou verticalement. Le paramètre facultatif échelle met à l’échelle la page selon le facteur indiqué. Si le signe moins est indiqué, le numéro de page est relatif à la fin du document au lieu du début.

Les pages dont les spéc sont séparées par + sont fusionnées dans une seule page, sinon ce seront toujours des pages séparées.

Les opérations de décalage, rotation et mise à l’échelle seront appliquées dans la matrice de transformation PostScript dans cet ordre quel que soit l’ordre dans lequel elles apparaissent dans la ligne de commande.

Les noms de format de papier sont convertis en dimensions à l’aide de paper(1). La taille de page de sortie, si définie, est utilisée (après mise à l’échelle) pour définir le détourage de chaque page.

EXEMPLES
Pour mettre deux séries A et B de pages (par exemple, A4 ou B5) sur une seule feuille de papier, la spécification de page à utiliser est :

2:0L@.7(1w,0)+1L@.7(1w,0.5h)

Pour sélectionner toutes les pages impaires dans l’ordre inverse, utiliser :

2:-0

Pour réarranger les pages pour une impression de deux pages par côté de livret, utiliser :

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h)

pour le recto des feuillets et

4:1L@.7(1w,0h)+-2L@.7(1w,0.5h)

pour leur verso, ou, pour une impression recto-verso selon le bord long, joindre les deux spécifications.

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h),1L@.7(1w,0h)+-2L@.7(1w,0.5h)

Pour une impression recto-verso selon le bord court, la commande ésotérique est :

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h),1R@.7(0w,0.5h)+-2R@.7(0w,1h)

AUTEUR

BOGUES
pstops n’accepte pas tous les commentaires de DSC.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.